This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 689007 - [RFE] a way to define macro for a short host name instead of FQDN
[RFE] a way to define macro for a short host name instead of FQDN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
6.0.0
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: 471260
  Show dependency treegraph
 
Reported: 2011-03-18 15:14 EDT by Chris Williams
Modified: 2015-01-23 11:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-23 11:26:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Williams 2011-03-18 15:14:20 EDT
1. Customer Name
The University of Sydney

2. What is the nature and description of the request?
a way to define macro for a short host name instead of FQDN

3. Why does the customer need this? (List the business requirements here)
Alias is the culprit. Output of the command hostname -s ( short ) is often used as an alias, this is a business case for an short name. 

4. How would the customer like to achieve this? (List the functional requirements here)
define macro for a short host name instead of FQDN

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

7. How quickly does this need resolved? (desired target release)
RHN Satellite 5.5

8. Does this request meet the RHEL Inclusion criteria (please review)
Yes

9. List the affected packages
Not sure

10. Would the customer be able to assist in testing this functionality if implemented?
Not Sure
Comment 5 Bryan Kearney 2015-01-23 11:26:59 EST
This is addressed in Satellite 6. There are two unique facts which can be used in templates:

hostname
fqdn

If thee are not sufficient, customers can create custom facts and use those.

Note You need to log in before you can comment on or make changes to this bug.